Автор Тема: Squeeze  (Прочитано 1559 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн MineAllMine

  • Новичок форума
  • Topic Author
  • Сообщений: 7
Squeeze
« : 12 Июнь 2016, 21:25:56 »
Всем доброго времени суток, подскажите, пожалуйста что делать в такой ситуации:
достался сервак debian squeeze, старенький понимаю, apt-get update не пашет, как я понимаю, репозитории уже прикрыты
добавил deb http://mirrors.kernel.org/debian stable main
мне нужно поставить cifs-utils
apt-get install cifs-utils
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libmpfr4 iso-codes re2c manpages-dev apache2.2-bin libc-dev-bin libgomp1 linux-libc-dev apache2.2-common cpp libgmp3c2 libpython2.6 libc6-dev cpp-4.4 libruby1.8 binutils libreadline5 lsb-release libcloog-isl4 make libmpc3 libisl10
  python-apt-common
Для их удаления используйте 'apt-get autoremove'.
Будут установлены следующие дополнительные пакеты:
  apache2 apache2-bin apache2-data apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common attr binutils dbus dpkg init-system-helpers install-info keyutils krb5-locales libacl1 libaio1 libalgorithm-c3-perl
  libapache2-mod-perl2 libapache2-mod-php5 libapache2-mod-python libapache2-reload-perl libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap libarchive-extract-perl libasn1-8-heimdal libattr1 libaudit-common libaudit1
  libavahi-client3 libavahi-common-data libavahi-common3 libbsd-resource-perl libbsd0 libc-bin libc-dev-bin libc6 libc6-dev libc6-i686 libcap-ng0 libcgi-fast-perl libcgi-pm-perl libclass-c3-perl libclass-c3-xs-perl libcloog-isl4
  libcpan-meta-perl libcrypt-openssl-random-perl libcups2 libdata-optlist-perl libdata-section-perl libdb5.3 libdbus-1-3 libdigest-hmac-perl libedit2 libexpat1 libfcgi-perl libffi6 libgcrypt20 libgmp10 libgnutls-deb0-28 libgpg-error0
  libgssapi-krb5-2 libgssapi3-heimdal libgssglue1 libhcrypto4-heimdal libhdb9-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhogweed2 libhtml-parser-perl libhx509-5-heimdal libisl10 libjson-c2 libk5crypto3 libkdc2-heimdal
  libkeyutils1 libkrb5-26-heimdal libkrb5-3 libkrb5support0 libldb1 liblocale-gettext-perl liblog-message-perl liblog-message-simple-perl liblua5.2-0 liblzma5 libmodule-build-perl libmodule-pluggable-perl libmodule-signature-perl
  libmpc3 libmpfr4 libmro-compat-perl libnet-dns-perl libnetaddr-ip-perl libnettle4 libntdb1 libonig2 libp11-kit0 libpackage-constants-perl libparams-util-perl libpcre3 libperl5.20 libpipeline1 libpod-latex-perl libpod-readme-perl
  libpython-stdlib libpython2.7 libpython2.7-minimal libpython2.7-stdlib libregexp-common-perl libroken18-heimdal libruby2.1 libselinux1 libsmbclient libsocket6-perl libsoftware-license-perl libssl1.0.0 libsub-exporter-perl
  libsub-install-perl libsystemd0 libtalloc2 libtasn1-6 libtcl8.6 libtdb1 libterm-ui-perl libtevent0 libtext-charwidth-perl libtext-iconv-perl libtext-soundex-perl libtext-template-perl libtinfo5 libuuid-perl libwbclient0
  libwind0-heimdal libxml2 libyaml-0-2 locales lsb-base make man-db multiarch-support openbsd-inetd perl perl-base perl-modules php5-cli php5-common php5-json psmisc python python-crypto python-dnspython python-ldb python-minimal
  python-ntdb python-samba python-support python-talloc python-tdb python2.7 python2.7-minimal rename samba samba-common samba-common-bin samba-dsdb-modules samba-libs samba-vfs-modules smbclient spamassassin tdb-tools update-inetd
  vim-common vim-nox vim-runtime vim-tiny winbind
Предлагаемые пакеты:
  apache2-suexec-pristine apache2-suexec-custom binutils-doc dbus-x11 php-pear libapache2-mod-python-doc glibc-doc cups-common rng-tools gnutls-bin krb5-doc krb5-user libdata-dump-perl tcl8.6 make-doc groff perl-doc
  libterm-readline-gnu-perl libterm-readline-perl-perl libb-lint-perl libcpanplus-dist-build-perl libcpanplus-perl libfile-checktree-perl libobject-accessor-perl php5-user-cache python-tk python-crypto-dbg python-crypto-doc
  python2.7-doc binfmt-support ctdb ldb-tools smbldap-tools heimdal-clients razor libio-socket-ssl-perl libdbi-perl pyzor libmail-dkim-perl cscope vim-doc indent libnss-winbind libpam-winbind
Рекомендуемые пакеты:
  php5-readline sa-compileПакеты, которые будут УДАЛЕНЫ:
  apt-listchanges gcc gcc-4.4 libdigest-sha1-perl libperl5.10 php5-suhosin python-apt tcl8.4
НОВЫЕ пакеты, которые будут установлены:
  apache2-bin apache2-data attr cifs-utils dbus init-system-helpers keyutils krb5-locales libaio1 libalgorithm-c3-perl libarchive-extract-perl libasn1-8-heimdal libaudit-common libaudit1 libavahi-client3 libavahi-common-data
  libavahi-common3 libcap-ng0 libcgi-fast-perl libcgi-pm-perl libclass-c3-perl libclass-c3-xs-perl libcloog-isl4 libcpan-meta-perl libcups2 libdata-optlist-perl libdata-section-perl libdb5.3 libdbus-1-3 libfcgi-perl libffi6 libgcrypt20
  libgmp10 libgnutls-deb0-28 libgssapi3-heimdal libhcrypto4-heimdal libhdb9-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhogweed2 libhx509-5-heimdal libisl10 libjson-c2 libkdc2-heimdal libkrb5-26-heimdal libldb1
  liblog-message-perl liblog-message-simple-perl liblua5.2-0 liblzma5 libmodule-build-perl libmodule-pluggable-perl libmodule-signature-perl libmpc3 libmro-compat-perl libnettle4 libntdb1 libp11-kit0 libpackage-constants-perl
  libparams-util-perl libperl5.20 libpipeline1 libpod-latex-perl libpod-readme-perl libpython-stdlib libpython2.7 libpython2.7-minimal libpython2.7-stdlib libregexp-common-perl libroken18-heimdal libruby2.1 libsmbclient
  libsoftware-license-perl libssl1.0.0 libsub-exporter-perl libsub-install-perl libsystemd0 libtasn1-6 libtcl8.6 libtdb1 libterm-ui-perl libtevent0 libtext-soundex-perl libtext-template-perl libtinfo5 libwind0-heimdal libyaml-0-2
  multiarch-support php5-json python-crypto python-dnspython python-ldb python-ntdb python-samba python-talloc python-tdb python2.7 python2.7-minimal rename samba samba-dsdb-modules samba-libs samba-vfs-modules tdb-tools winbind
Пакеты, которые будут обновлены:
  apache2 apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common binutils dpkg install-info libacl1 libapache2-mod-perl2 libapache2-mod-php5 libapache2-mod-python libapache2-reload-perl libapr1 libaprutil1
  libaprutil1-dbd-sqlite3 libaprutil1-ldap libattr1 libbsd-resource-perl libbsd0 libc-bin libc-dev-bin libc6 libc6-dev libc6-i686 libcrypt-openssl-random-perl libdigest-hmac-perl libedit2 libexpat1 libgpg-error0 libgssapi-krb5-2
  libgssglue1 libhtml-parser-perl libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 liblocale-gettext-perl libmpfr4 libnet-dns-perl libnetaddr-ip-perl libonig2 libpcre3 libselinux1 libsocket6-perl libtalloc2 libtext-charwidth-perl
  libtext-iconv-perl libuuid-perl libwbclient0 libxml2 locales lsb-base make man-db openbsd-inetd perl perl-base perl-modules php5-cli php5-common psmisc python python-minimal python-support samba-common samba-common-bin smbclient
  spamassassin update-inetd vim-common vim-nox vim-runtime vim-tiny
обновлено 74, установлено 105 новых пакетов, для удаления отмечено 8 пакетов, и 252 пакетов не обновлено.
Необходимо скачать 81,1 MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 67,7 MB.
Хотите продолжить [Д/н]?
Как правильнее в такой ситуации поступить? Я не потеряю машину?)
 

Оффлайн ogost

Re: Squeeze
« Ответ #1 : 13 Июнь 2016, 07:06:10 »
squeeze больше не поддерживается, а stable - это на данный момент jessie, поэтому вы указали неверный релиз в sources.list, что может привести к неработоспособности системы.
приведите sources.list к следующему виду:
deb http://archive.debian.org/debian-archive/debian/ squeeze main contrib non-free
deb http://archive.debian.org/debian-archive/debian/ squeeze-lts main contrib non-free
а так же нужно указать, что не смотря на то, что архив устарел, нужно ставить именно из этих реп:
echo 'Acquire::Check-Valid-Until "false";' >/etc/apt/apt.conf.d/90ignore-release-dateИмейте ввиду, что данный релиз уже довольно устарел и не получает обновления безопасности с февраля 2016 года, поэтому настоятельно рекомендую обновиться. сначала до wheezy (oldstable), а потом и до jessie.
ЗЫ: велосипед не мой, взял отсюда.
« Последнее редактирование: 13 Июнь 2016, 07:09:40 от ogost »
 
Пользователи, которые поблагодарили этот пост: MineAllMine

Оффлайн ferum

Re: Squeeze
« Ответ #2 : 13 Июнь 2016, 08:38:51 »
Все репозитории нормальным образом доступны из архива, достаточно правильно прописать sources.list Лично пользовался squeeze ещё пару месяцев после окончания поддержки.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн MineAllMine

  • Новичок форума
  • Topic Author
  • Сообщений: 7
Re: Squeeze
« Ответ #3 : 13 Июнь 2016, 14:08:06 »
Спасибо, большое, помогло!
Ради обновы системы все манипуляции и делаю, чтобы подцепить шару по cifs-utils и dd снять на всякий пожарный sda.

squeeze больше не поддерживается, а stable - это на данный момент jessie, поэтому вы указали неверный релиз в sources.list, что может привести к неработоспособности системы.


Cообщение объединено 13 Июнь 2016, 16:06:24
dd if=/dev/sda of=/mnt/transfer/13062016.img bs=4096 conv=noerror
dd: чтение «/dev/sda»: Ошибка ввода/вывода
454217+0 записей считано
454217+0 записей написано
 скопировано 1860472832 байта (1,9 GB), 959,69 c, 1,9 MB/c
dd: чтение «/dev/sda»: Ошибка ввода/вывода
536660+0 записей считано
536660+0 записей написано
 скопировано 2198159360 байт (2,2 GB), 1169,65 c, 1,9 MB/c
dd: чтение «/dev/sda»: Ошибка ввода/вывода
979812+0 записей считано
979812+0 записей написано
 скопировано 4013309952 байта (4,0 GB), 2185,31 c, 1,8 MB/c
:-\
« Последнее редактирование: 13 Июнь 2016, 16:06:24 от MineAllMine »
 

Оффлайн ogost

Re: Squeeze
« Ответ #4 : 13 Июнь 2016, 19:10:24 »
На заметку: копировать при помощи dd при работающей системе - не очень хорошая идея, поскольку dd копирует побайтово, а если какой-то файл изменится в процессе копирования, то получим битый файл. Особенно актуально, если имеется база данных. С другой стороны это не должно приводить к подобной ошибке. Предполагаю, что у вас либо битые сектора на диске, либо проблемы с сетью. Кстати возможно несколько ускорить передачу данных увеличив размер блока до одного мегабайта (bs=1M).

Теги: